Subject: Re: bug#55726: 28.1; emacs becomes unresponsive to input

From: "Jay Berkenbilt" <[email-masked]>
Date: Mon, 30 May 2022 11:00:27 -0400

On Mon, May 30, 2022, at 10:36 AM, Basil L. Contovounesios wrote:
> Jay Berkenbilt [2022-05-30 08:58 -0400] wrote:
> 
> > Problem description: I'm typing along, and all of a sudden, emacs
> > becomes completely unresponsive to mouse and keyboard events. It still
> > refreshes properly. I haven't been able to find any way out of this
> > other than to kill the process.
> 
> Have you tried attaching to the frozen Emacs instance from a terminal?
> 
> I ask about attaching from the terminal because your description and
> stacktrace remind me of my experience in https://bugs.gnu.org/48629,
> which I have run into once or twice in the last few months of infrequent
> Emacs usage.
> 
> HTH,
> 
> -- 
> Basil
> 

I haven't tried that. That's a great idea for a potential workaround
while we're tracking this down. I'll try it next time.